local assets = {
    Asset("ANIM", "anim/blacksmithplatinum.zip"),
    Asset("ATLAS", "images/inventoryimages/blacksmithplatinum.xml")
}

local function fn(Sim)
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
	inst.entity:AddNetwork()
    MakeInventoryPhysics(inst)
    
    inst.AnimState:SetBank("blacksmithplatinum")
    inst.AnimState:SetBuild("blacksmithplatinum")
    inst.AnimState:PlayAnimation("idle")
	
	inst:AddTag("BLACKSMITHPLATINUM")
	
	inst.entity:SetPristine()
	if not TheWorld.ismastersim then
		return inst
	end
	MakeHauntableLaunch(inst)
	
	inst:AddComponent("stackable")
    --inst.components.stackable.maxsize = (TUNING.STACK_SIZE_LARGEITEM/2)
	
    inst:AddComponent("inspectable")
	inst.Transform:SetScale(2,2,2)
    
    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.atlasname = "images/inventoryimages/blacksmithplatinum.xml"
    
    return inst
end

return Prefab( "common/inventory/blacksmithplatinum", fn, assets)